Summary:        Extension of the Java Collections Framework
Name:           apache-commons-collections4
Version:        4.4
Release:        2%{?dist}
License:        ASL 2.0
URL:            http://commons.apache.org/proper/commons-collections/
Source0:        http://archive.apache.org/dist/commons/collections/source/commons-collections4-%{version}-src.tar.gz

BuildRequires:  maven-local mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.easymock:easymock)
BuildArch:      noarch

%description
Commons-Collections seek to build upon the JDK classes by providing
new interfaces, implementations and utilities.

%package        javadoc
Summary:        API documentation for %{name}

%description    javadoc
This package provides %{summary}.

%prep
%autosetup -n commons-collections4-%{version}-src
%mvn_file : commons-collections4 %{name}

%build
%mvn_build -- -Dcommons.osgi.symbolicName=org.apache.commons.collections4

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt
%doc RELEASE-NOTES.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 Xiaojie Chen <jackxjchen@tencent.com> - 4.4-1
- Initial build
